# OpenData product details

{% hint style="warning" %}

### API test authentication

The Open API block allows you to test OS APIs directly from the page with example data and parameters. To use this feature, you will need to add your API Key or OAuth2 token to the authentication field.

For help generating an API Key or OAuth2 token, please see the [Getting started with an API project](https://docs.os.uk/os-apis/core-concepts/getting-started-with-an-api-project) or [OAuth2 documentation](https://docs.os.uk/os-apis/accessing-os-apis/oauth-2-api).
{% endhint %}

## GET /products/{productId}

> Returns details about a specific OpenData product.

```json
{"openapi":"3.0.0","info":{"title":"Ordnance Survey Download API","version":"1.0.0"},"tags":[{"name":"OpenData","description":"Operations providing access to OpenData products."}],"servers":[{"url":"https://api.os.uk/downloads/v1/"}],"paths":{"/products/{productId}":{"get":{"summary":"Returns details about a specific OpenData product.","tags":["OpenData"],"parameters":[{"in":"path","name":"productId","schema":{"type":"string"},"required":true,"description":"The id of the product."}],"responses":{"200":{"description":"Successful response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Product"}}}},"404":{"$ref":"#/components/responses/NotFoundError"}}}}},"components":{"schemas":{"Product":{"type":"object","description":"Information about a product made available through this API.","required":["id","name","description","version","url"],"properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"array","minItems":1,"items":{"type":"string"}},"version":{"type":"string","pattern":"^/d{4}-/d{2}$"},"thirdPartyInfo":{"$ref":"#/components/schemas/ThirdPartyInfo"},"url":{"type":"string"},"documentationUrl":{"type":"string"},"areas":{"type":"array","items":{"$ref":"#/components/schemas/Area"}},"dataStructures":{"type":"array","items":{"type":"string","enum":["Raster","Vector"]}},"category":{"type":"string"},"categories":{"type":"array","items":{"type":"string"}},"formats":{"type":"array","items":{"$ref":"#/components/schemas/Format"}},"imageCount":{"type":"integer"},"imageTemplate":{"type":"string"},"downloadsUrl":{"type":"string","format":"uri"},"warning":{"type":"string"},"endOfLife":{"type":"string","pattern":"^/d{4}-/d{2}-/d{2}$"}}},"ThirdPartyInfo":{"type":"object","description":"Information about the data provider for third-party products.","required":["dataProvider","supportingInfo","alsoAvailable","supportEmail"],"properties":{"dataProvider":{"type":"object","required":["name","shortName","homepage","logoUrl"],"properties":{"name":{"type":"string"},"shortName":{"type":"string"},"homepage":{"type":"string"},"logoUrl":{"type":"string","format":"uri"}}},"supportingInfo":{"type":"array","minItems":0,"items":{"type":"object","required":["name","link"],"properties":{"name":{"type":"string"},"link":{"type":"string","format":"uri"}}}},"alsoAvailable":{"type":"array","minItems":0,"items":{"type":"object","required":["name","link"],"properties":{"name":{"type":"string"},"link":{"type":"string","format":"uri"}}}},"supportEmail":{"type":"string","format":"email"}}},"Area":{"type":"string","description":"This describes the geographical area that a download covers.\nGB is all of Great Britain, while codes like 'HP' cover National Grid Reference squares.\n","enum":["GB","HP","HT","HU","HW","HX","HY","HZ","NA","NB","NC","ND","NF","NG","NH","NJ","NK","NL","NM","NN","NO","NR","NS","NT","NU","NW","NX","NY","NZ","OV","SD","SE","TA","SH","SJ","SK","TF","TG","SM","SN","SO","SP","TL","TM","SR","SS","ST","SU","TQ","TR","SV","SW","SX","SY","SZ","TV"]},"Format":{"type":"object","description":"Information about the format that a download is available in.","required":["format"],"properties":{"format":{"type":"string","description":"File format used for the download."},"subformat":{"type":"string","description":"Optional subformat, used when a product is available in more than one style."}}}},"responses":{"NotFoundError":{"description":"The request does not match any known content.\nThe response will contain a human readable message, and may also contain links to help you\nnavigate to other API endpoints.\n","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"dataPackagesUrl":{"type":"string","format":"uri"},"downloadCatalogueUrl":{"type":"string","format":"uri"},"productUrl":{"type":"string","format":"uri"},"productDownloadsUrl":{"type":"string","format":"uri"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.os.uk/os-apis/accessing-os-apis/os-downloads-api/technical-specification/opendata-product-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
